Public Class Form3

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim a(9), x, s, aver As Single
        Dim i As Integer
        For i = 0 To 9
            x = InputBox("请输入第" & Str(i + 1) & " 个数:")
            a(i) = x : s = s + a(i)
            TextBox1.Text = TextBox1.Text & x & "  "
        Next i
        aver = s / 10
        For i = 0 To 9
            If a(i) > aver Then
                TextBox2.Text = TextBox2.Text & a(i) & "  "
            End If
        Next i
    End Sub
End Class